Subject: Re: linux-next: build failure after merge of the final tree (staging related)

From: Greg KH <[email-masked]>
Date: Thu, 16 Jun 2011 12:14:48 -0700

On Wed, Jun 15, 2011 at 02:21:55PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Fri, 10 Jun 2011 15:34:23 -0700 Greg KH <[email-masked]> wrote:
> >
> > On Fri, Jun 10, 2011 at 04:09:38PM +1000, Stephen Rothwell wrote:
> > > 
> > > On Fri, 10 Jun 2011 16:05:48 +1000 Stephen Rothwell <[email-masked]> wrote:
> > > >
> > > > No, I still get these:
> > > > 
> > > > In file included from drivers/staging/comedi/drivers/addi_apci_035.c:7:0:
> > > > drivers/staging/comedi/drivers/addi-data/addi_common.c: In function 'i_ADDI_Attach':
> > > > drivers/staging/comedi/drivers/addi-data/addi_common.c:2765:7: error: implicit declaration of function 'virt_to_bus'
> > > > 
> > > > virt_to_bus is only defined for 32 bit powerpc (not 64 bit) (and maybe
> > > > not at all on some architectures e.g. sparc).
> > > > 
> > > > From Documentation/DMA-API-HOWTO.txt:
> > > > "All drivers should be using these interfaces with no exceptions.  It
> > > > is planned to completely remove virt_to_bus() and bus_to_virt() as
> > > > they are entirely deprecated.  Some ports already do not provide these
> > > > as it is impossible to correctly support them."
> > > 
> > > Drivers that use virt_to_bus should Kconfig depend on VIRT_TO_BUS.
> > 
> > Ah, I missed that, sorry.  I'll go make that change as well.
> 
> Ping?

Sorry, been swamped with other work, I'll get to this soon...

With a very relative value of soon.

greg k-h